Create a tenant
Create a new tenant and an associated organization for the specified owner organization. The request body uses a type discriminator with exclusive routes: tenant (END CUSTOMER) and organization (PARTNER/WHOLESALER).
{
"id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"region": "<string>",
"product_id": "<string>",
"policy_id": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the owning organization that will create the tenant
24^[0-9a-f]{24}$Body
Unique creation body with conditional fields by type: if type=tenant, requires tenant_config; if type=organization, requires organization_config.
Creation type. tenant for END CUSTOMER, organization for PARTNER/WHOLESALER.
tenant, organization 512512512512512Specific configuration for type=tenant.
Show child attributes
Show child attributes
Specific configuration for type=organization.
Show child attributes
Show child attributes
24^[0-9a-f]{24}$Response
Tenant and associated organization successfully created. Returns the created tenant resource.
{
"id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"region": "<string>",
"product_id": "<string>",
"policy_id": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}